# PSF-LoginServer - master - net.psforever.objects.vehicles.Utility.SpawnTubeUtility
PSF - LoginServer - master - net.psforever.objects.vehicles.Utility.SpawnTubeUtility
Keywords: PSF LoginServer master net.psforever.objects.vehicles.Utility.SpawnTubeUtility

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  object Utility
  Definition Classes
    vehicles
- InternalTelepad
- InternalTelepadDefinition
- ProximityTerminalUtility
- SpawnTubeUtility
- TeleportPadTerminalUtility
- TerminalUtility
- UtilityWorldEntity

c

net.psforever.objects.vehicles.Utility

# SpawnTubeUtility

###

#### class SpawnTubeUtility extends SpawnTube with UtilityWorldEntity

Override for `SpawnTube` objects so that they inherit the spatial characteristics of their `Owner`.

Source
  Utility.scala

Linear Supertypes
UtilityWorldEntity, SpawnTube, SpawnPoint, Amenity, BlockMapEntity, StandardResistanceProfile, ResistanceProfile, Vitality, VitalsHistory, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpawnTubeUtility
2. UtilityWorldEntity
3. SpawnTube
4. SpawnPoint
5. Amenity
6. BlockMapEntity
7. StandardResistanceProfile
8. ResistanceProfile
9. Vitality
10. VitalsHistory
11. PlanetSideServerObject
12. ZoneAware
13. FactionAffinity
14. PlanetSideGameObject
15. WorldEntity
16. IdentifiableEntity
17. Identifiable
18. AnyRef
19. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SpawnTubeUtility(tubeDef: SpawnTubeDefinition)

   tubeDef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def CanDamage: Boolean
   Definition Classes
     Vitality
7.  def CanRepair: Boolean
   Definition Classes
     Vitality
8.  def ClearHistory(): List[VitalsActivity]
   Definition Classes
     VitalsHistory
9.  def Continent: String
   Definition Classes
     ZoneAware
10.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
11.  def DamageModel: DamageAndResistance
    Definition Classes
      Amenity → Vitality
12.  def DefaultHealth: Int
    Definition Classes
      Vitality
13.  def Definition: SpawnTubeDefinition

    An element of the contract of `PlanetSideServerObject`; but, this makes it visible to a `SpawnPoint` object without casting.

    An element of the contract of `PlanetSideServerObject`; but, this makes it visible to a `SpawnPoint` object without casting.

    Definition Classes
      SpawnTube → SpawnPoint → Amenity → Vitality → PlanetSideGameObject
    See also

      `PlanetSideGameObject.Definition`

      `SpecificPoint`

14.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
15.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
16.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
17.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
18.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Amenity → FactionAffinity
19.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      FactionAffinity
20.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
21.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
22.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

23.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
24.  def Health: Int
    Definition Classes
      Vitality
25.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vitality
26.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
27.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
28.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
29.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
30.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
31.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
32.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
33.  def LocationOffset: Vector3
    Definition Classes
      Amenity
34.  def LocationOffset_=(off: Option[Vector3]): Vector3
    Definition Classes
      Amenity
35.  def LocationOffset_=(off: Vector3): Vector3
    Definition Classes
      Amenity
36.  def MaxHealth: Int
    Definition Classes
      Vitality
37.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
38.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
39.  def Orientation: Vector3
    Definition Classes
      UtilityWorldEntity
40.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
41.  def Owner: AmenityOwner

    Reference the object that is in direct association with (is superior to) this one.

    Reference the object that is in direct association with (is superior to) this one.

    returns

      the object associated as this object's "owner"

    Definition Classes
      Amenity
42.  def Owner_=(obj: AmenityOwner): AmenityOwner

    Set an object to have a direct association with (be superior to) this one.

    Set an object to have a direct association with (be superior to) this one.

    obj

      the object trying to become associated as this object's "owner"

    returns

      the object associated as this object's "owner"

    Definition Classes
      Amenity
    See also

      `Amenity.AmenityTarget`

43.  def Position: Vector3
    Definition Classes
      UtilityWorldEntity
44.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
45.  def RadiationShielding: Float
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
46.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
47.  def Resist(dtype: vital.base.DamageType.Value): Float
    Definition Classes
      ResistanceProfile
48.  def ResistanceAggravated: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
49.  def ResistanceDirectHit: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
50.  def ResistanceSplash: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
51.  def SpecificPoint(target: PlanetSideGameObject): (Vector3, Vector3)

    Determine a specific position and orientation in which to spawn the target.

    Determine a specific position and orientation in which to spawn the target.

    returns

      a `Tuple` of `Vector3` objects; the first represents the game world position of spawning; the second represents the game world direction of spawning

    Definition Classes
      SpawnPoint
52.  def Subtract: DamageProfile
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
53.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
54.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
55.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
56.  def Zone: Zone
    Definition Classes
      Amenity → ZoneAware
57.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
58.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
59.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
60.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
61.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
62.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
63.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
64.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
65.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
66.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
67.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
68.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
69.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
70.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
71.  def isOffline: Boolean
    Definition Classes
      SpawnTube → SpawnPoint
72.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
73.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
74.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
75.  var offline: Boolean
    Definition Classes
      SpawnTube
76.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
77.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
78.  def toString(): String
    Definition Classes
      AnyRef → Any
79.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
80.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
81.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
82.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from UtilityWorldEntity

### Inherited from SpawnTube

### Inherited from SpawnPoint

### Inherited from Amenity

### Inherited from BlockMapEntity

### Inherited from StandardResistanceProfile

### Inherited from ResistanceProfile

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped